Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMemberStatusAdministrator

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMemberStatus
it.tdlight.jni.TdApi.ChatMemberStatusAdministrator

Enclosing class:
  TdApi

public static final class TdApi.ChatMemberStatusAdministrator extends TdApi.ChatMemberStatus
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canBeEdited`
True, if the current user can edit the administrator privileges for the called user.
`boolean`
`canChangeInfo`
True, if the administrator can change the chat title, photo, and other settings.
`boolean`
`canDeleteMessages`
True, if the administrator can delete messages of other users.
`boolean`
`canEditMessages`
True, if the administrator can edit messages of other users and pin messages; applicable to channels only.
`boolean`
`canInviteUsers`
True, if the administrator can invite new users to the chat.
`boolean`
`canManageChat`
True, if the administrator can get chat event log, get chat statistics, get message statistics in channels, get channel members, see anonymous administrators in supergroups and ignore slow mode.
`boolean`
`canManageVideoChats`
True, if the administrator can manage video chats.
`boolean`
`canPinMessages`
True, if the administrator can pin messages; applicable to basic groups and supergroups only.
`boolean`
`canPostMessages`
True, if the administrator can create channel posts; applicable to channels only.
`boolean`
`canPromoteMembers`
True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that were directly or indirectly promoted by them.
`boolean`
`canRestrictMembers`
True, if the administrator can restrict, ban, or unban chat members; always true for channels.
`static final int`
`CONSTRUCTOR`
`String`
`customTitle`
A custom title of the administrator; 0-16 characters without emojis; applicable to supergroups only.
`boolean`
`isAnonymous`
True, if the administrator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

## Constructor Summary

Constructors
Constructor
Description
`ChatMemberStatusAdministrator()`
The user is a member of the chat and has some additional privileges.
`ChatMemberStatusAdministrator(DataInput input)`
The user is a member of the chat and has some additional privileges.
`ChatMemberStatusAdministrator(String customTitle, boolean canBeEdited, boolean canManageChat, boolean canChangeInfo, boolean canPostMessages, boolean canEditMessages, boolean canDeleteMessages, boolean canInviteUsers, boolean canRestrictMembers, boolean canPinMessages, boolean canPromoteMembers, boolean canManageVideoChats, boolean isAnonymous)`
The user is a member of the chat and has some additional privileges.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### customTitle

public String customTitle
A custom title of the administrator; 0-16 characters without emojis; applicable to supergroups only.

### canBeEdited

public boolean canBeEdited
True, if the current user can edit the administrator privileges for the called user.

### canManageChat

public boolean canManageChat
True, if the administrator can get chat event log, get chat statistics, get message statistics in channels, get channel members, see anonymous administrators in supergroups and ignore slow mode. Implied by any other privilege; applicable to supergroups and channels only.

### canChangeInfo

public boolean canChangeInfo
True, if the administrator can change the chat title, photo, and other settings.

### canPostMessages

public boolean canPostMessages
True, if the administrator can create channel posts; applicable to channels only.

### canEditMessages

public boolean canEditMessages
True, if the administrator can edit messages of other users and pin messages; applicable to channels only.

### canDeleteMessages

public boolean canDeleteMessages
True, if the administrator can delete messages of other users.

### canInviteUsers

public boolean canInviteUsers
True, if the administrator can invite new users to the chat.

### canRestrictMembers

public boolean canRestrictMembers
True, if the administrator can restrict, ban, or unban chat members; always true for channels.

### canPinMessages

public boolean canPinMessages
True, if the administrator can pin messages; applicable to basic groups and supergroups only.

### canPromoteMembers

public boolean canPromoteMembers
True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that were directly or indirectly promoted by them.

### canManageVideoChats

public boolean canManageVideoChats
True, if the administrator can manage video chats.

### isAnonymous

public boolean isAnonymous
True, if the administrator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatMemberStatusAdministrator

public ChatMemberStatusAdministrator()
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

### ChatMemberStatusAdministrator

public ChatMemberStatusAdministrator(String customTitle, boolean canBeEdited, boolean canManageChat, boolean canChangeInfo, boolean canPostMessages, boolean canEditMessages, boolean canDeleteMessages, boolean canInviteUsers, boolean canRestrictMembers, boolean canPinMessages, boolean canPromoteMembers, boolean canManageVideoChats, boolean isAnonymous)
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

Parameters:
  `customTitle` - String A custom title of the administrator; 0-16 characters without emojis; applicable to supergroups only.
  `canBeEdited` - boolean True, if the current user can edit the administrator privileges for the called user.
  `canManageChat` - boolean True, if the administrator can get chat event log, get chat statistics, get message statistics in channels, get channel members, see anonymous administrators in supergroups and ignore slow mode. Implied by any other privilege; applicable to supergroups and channels only.
  `canChangeInfo` - boolean True, if the administrator can change the chat title, photo, and other settings.
  `canPostMessages` - boolean True, if the administrator can create channel posts; applicable to channels only.
  `canEditMessages` - boolean True, if the administrator can edit messages of other users and pin messages; applicable to channels only.
  `canDeleteMessages` - boolean True, if the administrator can delete messages of other users.
  `canInviteUsers` - boolean True, if the administrator can invite new users to the chat.
  `canRestrictMembers` - boolean True, if the administrator can restrict, ban, or unban chat members; always true for channels.
  `canPinMessages` - boolean True, if the administrator can pin messages; applicable to basic groups and supergroups only.
  `canPromoteMembers` - boolean True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that were directly or indirectly promoted by them.
  `canManageVideoChats` - boolean True, if the administrator can manage video chats.
  `isAnonymous` - boolean True, if the administrator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

### ChatMemberStatusAdministrator

public ChatMemberStatusAdministrator(DataInput input) throws IOException
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`